<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Root Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Root.html">Ogre::Root</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3840c316ccddef1ccadf51325ad72ee2">_allocateNextMovableObjectTypeFlag</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#01d3244dcf290c2db36aea6b0c63616a">_fireFrameEnded</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#57ec49d0fd19402ea8a4336f53ab62b4">_fireFrameEnded</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#194d3177b24dae7d73255268773a54b3">_fireFrameStarted</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#f747fc0427276e6c6936dd6a5ca01e87">_fireFrameStarted</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#55ee6b25390b1fe7406fd7ef327472a1">_getCurrentSceneManager</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c446fdd2ca501766a3e28f067ec13dc5">_setCurrentSceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#74cf60da79525c2332744048900b38bb">_updateAllRenderTargets</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ed3244a81b1c1cec76c675f8e62d7f5e">addFrameListener</a>(FrameListener *newListener)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#261189545f730e6243418d93cebfb75b">addMovableObjectFactory</a>(MovableObjectFactory *fact, bool overrideExisting=false)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e3d8c9161ddf19b4130813d9b5d51905">addRenderSystem</a>(RenderSystem *newRend)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#1f736040c539391cf730eb3f7da05d1d">addResourceLocation</a>(const String &amp;name, const String &amp;locType, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME, bool recursive=false)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#541c72ca9f592e7a754e751e2b55e934">addSceneManagerFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#589c6e44ae36cec130d0dcb8ca551f08">calculateEventTime</a>(unsigned long now, FrameEventTimeType type)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#2afff4a877a26bff8b47d32f9dcc15a8">clearEventTimes</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#58fb421c717de3fcb51b1cf93da813ff">convertColourValue</a>(const ColourValue &amp;colour, uint32 *pDest)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#73bbafca83dfb0f6971162efc3710977">createRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#537b7d1d0937f799cfe4936f6b672620">createRenderWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#39df87f396245ac5c1c293c9e49451c6">createSceneManager</a>(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aec9595063dba21c06b94aa541a183e8">createSceneManager</a>(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#cfa8a88f7186f9a665f733e7021c8c34">destroyAllRenderQueueInvocationSequences</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4ab34dbd132ad5cae81d7753af244f2a">destroyRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#7ee696cf420c9fa73429b9aed250f6b4">destroySceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4d4e662bd6ac1879ff0604ce50670f9e">detachRenderTarget</a>(RenderTarget *pWin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#34fe4055b498d373c31e40aded050523">detachRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6cb1549aef6cc6c06262d087a88a5342e392b758b6c82d9b7f43ef2c385f7564">FETT_ANY</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6cb1549aef6cc6c06262d087a88a53427138134f06499aff19becd379e6f29ed">FETT_ENDED</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6cb1549aef6cc6c06262d087a88a534266ae048b1f52c537764494e797183d57">FETT_STARTED</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6cb1549aef6cc6c06262d087a88a5342">FrameEventTimeType</a> enum name</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#7f5006f1ef629981b96252860beef846">getAutoCreatedWindow</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e3653516506c232e85c3fc1212b6f8b9">getAvailableRenderers</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b260323b0b3813a6c766bb386db586cc">getCurrentFrameNumber</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6ed5ddc573f7cc53933c75c8aa1ebbc1">getErrorDescription</a>(long errorNumber)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#652690a3524c8164b850f3655d94c6dd">getFrameSmoothingPeriod</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6fc4402d867b3d553cf302701fdff331">getInstalledPlugins</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3372db66af0d91da9184af90c1a68528">getMeshManager</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b89302520cbbe6d78d25e325081ea906">getMovableObjectFactory</a>(const String &amp;typeName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#f1e6afe76f1080762975203e6778c3dd">getMovableObjectFactoryIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c2ba507a55bfd6c69552e3d74e1ce7aa">getRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b8ca3d5abebba7a14650db5f618286d0">getRenderSystem</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#daeb26515fba041094510f71fb6757c9">getRenderSystemByName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#7bc9f24bec1e8b69a80d246e68bd8bee">getRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6ce7950bbf4dcd91977d9b6f2c09dc1a">getSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#d961ad4d34de07ba101ea92e33007a7b">getSceneManagerIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#1dc4e50e8ecac2323bdea8f6ad999307">getSceneManagerMetaData</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4e8400b2d0c34d7c6076a4e38044a1e6">getSceneManagerMetaDataIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#6c8959a647a86d6732a8a32f57b6a6ee">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#0813c15b258db16ef212dba53b72c3e4">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#55641d6a52ee618286bba6e9892e8d78">getTextureManager</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#507ed05fd59e0697797b8c9c9038448f">getTimer</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#f84bb44e9b7f13a2a50ecf17a4091cc4">hasMovableObjectFactory</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4ced16ae699e5e6b67a0c95333f21375">initialise</a>(bool autoCreateWindow, const String &amp;windowTitle=&quot;OGRE Render Window&quot;)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#18bb6fd6e4bc7d840708711acb583192">initialisePlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#5ea47cd9c094644e1abac7607e1922fd">installPlugin</a>(Plugin *plugin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#792a705f087b59b4760d068aebb689cf">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#f0744e85bddb05885a91809bcdf8f864">loadPlugin</a>(const String &amp;pluginName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#daaebab61f306315895f1d513bf43378">loadPlugins</a>(const String &amp;pluginsfile=&quot;plugins.cfg&quot;)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c4a929b204a97d7b27490fe1850adb46">mActiveRenderer</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#39be2ce244e0157fa2be4ff71e77cc06">mArchiveManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#709848bdc0d717b00e17137422a2223c">mAutoWindow</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e9209b24ac7527d700763c09a6363c3c">mBillboardChainFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#bfac646f213dd7979133d226f86412a9">mBillboardSetFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ddebb508d0904d9f6237fdcbddb54215">mBorderPanelFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#7e0f9cf69e91d888be189ae48ff862bd">mCompositorManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e667f8de9a9f01e010ff39aec8a9048e">mConfigFileName</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ca560aa062fd1e99ddbd9b3b05e928ff">mControllerManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#1df06df2d8d0a4816b3ab64ec2c5c0e9">mCurrentFrame</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b26d3de987a0f3c4cbbcfe68b7b1011f">mCurrentSceneManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e52533981f8d4db39286fdea5e8a3405">mDynLibManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a106f6583741c6b9a046a17228a5a5b7">mEntityFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#8bb2165a734ae0d5f222d34a727fa1ed">mEventTimes</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#52c7427e8a66c0462485c8e2f679b329">mExternalTextureSourceManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#443782dd5784e3465095642c61147689">mFileSystemArchiveFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#d06af760b1c4f0172240149699057a0d">mFirstTimePostWindowInit</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#15d27dc1773514f058f8db32b47c24ac">mFontManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c24f5989288002fd22fe0f6cc298d503">mFrameListeners</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c8539d70ee251556a15b47ffddf4da47">mFrameSmoothingTime</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#63a833e5c6c3552ecc9feba72f80567e">mHighLevelGpuProgramManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b140f852c36efd9148aa24a78d49f572">mIsInitialised</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#213edd5d35c2447e1151fae69914f9d6">mLightFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#8341af8ef082c826af5c783b1e546351">mLogManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#add8acdd959f49fb6a810420029eeea6">mManualObjectFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ce4669983441a497dc4b715385542715">mMaterialManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#c33d490d608098e459b667b14c7c830d">mMeshManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6113aa862fd0e7cb9bbe3e9a961971a">mMovableObjectFactoryMap</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#605b3bfce0863ec488c3bb6c317ea1d4">mNextMovableObjectTypeFlag</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#724ee7dcbdb7b8052420df2fecd07c0d">MovableObjectFactoryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a63b41f580aca52c3f35279dd06234fc">MovableObjectFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#52a04311ae0f5779d830c84c956576cf">mOverlayManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#d3f2106ce6c45d03776ee919078d2acc">mPanelFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#9c16c659560840de45862a7899f3efee">mParticleManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#7adceb013794ab1139e0611bb85a4f89">mPluginLibs</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b35dafba14a43e3fa34c586bb7742742">mPlugins</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e890212d6b5b58ebdd8c60b5ec2f798a">mProfiler</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aab43bb79759734e6bff3047e0c7f698">mQueuedEnd</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#47a80ca802f432ddc607d0ee996d493c">mRemovedFrameListeners</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#401807b14c629aa22756dfef915b44c7">mRenderers</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#2c2cfee01223cf83b295a98ee36145f2">mResourceBackgroundQueue</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#0ac225dbbfb1d3f16483e89218887c42">mResourceGroupManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b5407b6438073851223bdae66324278e">mRibbonTrailFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#b1ce8a35c1865013315a7f8fd79e15e5">mRQSequenceMap</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#1a7f24c00c7b3df355d050a5854a1938">mSceneManagerEnum</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#39cea6378ad03076211928a2cf22e304">mShadowTextureManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3ff49e0d841093e25be173ade78bbf7b">mSkeletonManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e063ca132e7f404a8393b66a4b115401">mTextAreaFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#eb4e1f65f6a10e279660a79124b79066">mTimer</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4d4df87090b486e05d93df1cbc09a0d5">mVersion</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#4cc4ec802be128faacb7d78ce5bfd370">mZipArchiveFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#47555efb676ce85beb51df0d7b0f6eae">oneTimePostWindowInit</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#9bd411bb1456e55ca634a67ef003e691">PluginInstanceList</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#33f7c5af7a51aff1d28a8d7f16253d57">PluginLibList</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3c48cb0d809b950335f4e24552c0a39d">queueEndRendering</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ba900bb388dd68af993df311076a9205">removeFrameListener</a>(FrameListener *oldListener)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#5dcfb7ee8fb1473fdc973752bc9452b4">removeMovableObjectFactory</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3a4c957e96e6c95f7f061166e363c378">removeResourceLocation</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#fdf0d57e4f6e80bb519336c56ec23a88">removeSceneManagerFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#eaad25268c0ad8007ce8961a32242c77">renderOneFrame</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#8aeac43e4f46620ac7f0bdcf95ed09ed">RenderQueueInvocationSequenceMap</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#06b786d8e0847dfe9cc15e1dea308fcd">RenderSystem</a> class</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#816c44429449ce436837f53cd4cb8e93">restoreConfig</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#293d1580c95101d72f2155e3fe2237bf">Root</a>(const String &amp;pluginFileName=&quot;plugins.cfg&quot;, const String &amp;configFileName=&quot;ogre.cfg&quot;, const String &amp;logFileName=&quot;Ogre.log&quot;)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#dc6946eb808dd76774d2c95ae1e0c6d9">saveConfig</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#1f045bf046a75d65e6ddc71f4ebe0b2c">setFrameSmoothingPeriod</a>(Real period)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#f768914a0dd431ee442bf83157daf570">setRenderSystem</a>(RenderSystem *system)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#3fc8aeaf22da1dccc72ad9fc74b5ef14">showConfigDialog</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#dc677530cc7ef50fbd0e37d75c02e16b">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#10298d35134c643023d96d191e67ecc4">shutdownPlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#8eda253befda1255cbfd3b298f62449e">startRendering</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#23417d6cbe7aeeafcc6a1a146a5e7b95">uninstallPlugin</a>(Plugin *plugin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#9e2492db70157da036a814c84e516500">unloadPlugin</a>(const String &amp;pluginName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#bac5dadb6113c551560136edc3567611">unloadPlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#e093f91224577ccb051ac3d8e84c6db8">~Root</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:48 2008
</p>
</body>
</html>
